mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
secret: ""
dns:
  enabled: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 8.8.8.8
  fallback:
    - https://dns.google/dns-query
    - https://cloudflare-dns.com/dns-query
proxies:
  - name: "HY2_51.158.194.63_32952"
    type: "hysteria2"
    server: "51.158.194.63"
    port: 32952
    password: "dongtaiwang.com"
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY2_[2604:6600::5cb]_22222"
    type: "hysteria2"
    server: "[2604:6600::5cb]"
    port: 22222
    password: "dongtaiwang.com"
    sni: "www.bing.com"
    skip-cert-verify: true
  - name: "HY2_[2001:bc8:32d7:158::9]_33356"
    type: "hysteria2"
    server: "[2001:bc8:32d7:158::9]"
    port: 33356
    password: "dongtaiwang.com"
    sni: "apple.com"
    skip-cert-verify: true
  - name: "HY_[2604:6600::5cb]_15823"
    type: "hysteria"
    server: "[2604:6600::5cb]"
    port: 15823
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY_62.210.127.177_23880"
    type: "hysteria"
    server: "62.210.127.177"
    port: 23880
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "bing.com"
    insecure: true
  - name: "HY_89.144.35.231_18899"
    type: "hysteria"
    server: "89.144.35.231"
    port: 18899
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY_89.144.35.231_10023"
    type: "hysteria"
    server: "89.144.35.231"
    port: 10023
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "VLESS_62.210.127.177_60011"
    type: "vless"
    server: "62.210.127.177"
    port: 60011
    uuid: "a1f699e4-d7b7-4cdc-8414-1105e08fe4c5"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "BTCE_8R4FJ7wf9mR7PkONJyeihtHqi_TptjC20eMhic"
      short-id: "ea22dff3025e4ff8"
      spider-x: "/"
    servername: "www.pixiv.co.jp"
  - name: "VLESS_2001:bc8:32d7:14f::6_60011"
    type: "vless"
    server: "2001:bc8:32d7:14f::6"
    port: 60011
    uuid: "a1f699e4-d7b7-4cdc-8414-1105e08fe4c5"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "BTCE_8R4FJ7wf9mR7PkONJyeihtHqi_TptjC20eMhic"
      short-id: "ea22dff3025e4ff8"
      spider-x: "/"
    servername: "www.pixiv.co.jp"
  - name: "VLESS_fan3.394615.xyz_34500"
    type: "vless"
    server: "fan3.394615.xyz"
    port: 34500
    uuid: "8b66e552-e89d-4c4f-bb5a-e3d37bf151b8"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "Yg6kOijRv1IbFcwhY0WmwJ8KW7YTtux4QlQhekEzNEQ"
      short-id: "3a1381d1b2cc9e19"
      spider-x: "/"
    servername: "www.lovelive-anime.jp"
  - name: "VLESS_89.144.35.230_54582"
    type: "vless"
    server: "89.144.35.230"
    port: 54582
    uuid: "5cfc52bc-e701-4160-89df-930a0c040576"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "kfw5DgkyKiovC3dzb-o2PUYnZPnbYvbx2IwERUv9czY"
      short-id: "225e2cc8"
      spider-x: "/"
    servername: "apple.com"
  - name: "VLESS_89.144.35.231_23889"
    type: "vless"
    server: "89.144.35.231"
    port: 23889
    uuid: "2460b5d1-0d74-427d-ad6c-bbe2aaab65cf"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "JNcfkAqeuYew3pxXliMPe8vDro8JmzbJynQobOipGn4"
      short-id: "8f589d63440b23a0"
      spider-x: "/"
    servername: "www.sky.com"
  - name: "HY2_89.144.35.231_11223"
    type: "hysteria2"
    server: "89.144.35.231"
    port: 11223
    password: "dongtaiwang.com"
    sni: "bing.com"
    skip-cert-verify: true
  - name: "JUICITY_89.144.35.231_11223"
    type: "juicity"
    server: "89.144.35.231"
    port: 11223
    uuid: "4b230023-d64a-4231-b5ca-c38a4546a5d0"
    password: "dongtaiwang.com"
    sni: "bing.com"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"
  - name: "HY2_fan.193919.xyz_45889"
    type: "hysteria2"
    server: "fan.193919.xyz"
    port: 45889
    password: "dongtaiwang.com"
    sni: "bing.com"
    skip-cert-verify: true
  - name: "JUICITY_fan.193919.xyz_45889"
    type: "juicity"
    server: "fan.193919.xyz"
    port: 45889
    uuid: "abbf6900-2bfb-4019-89e4-4875e831cea8"
    password: "dongtaiwang.com"
    sni: "bing.com"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"

proxy-groups:
  - name: "🚀 自动选择"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12","proxy13","proxy14","proxy15"]

  - name: "♻️ 故障转移"
    type: fallback
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12","proxy13","proxy14","proxy15"]

  - name: "🌍 手动切换"
    type: select
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12","proxy13","proxy14","proxy15"]

rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,"🌍 手动切换"
